Welcome

How frustrating. You receive your long-coveted software package in the mail or pick it up at your local software retailer, and rush to install it on your system, of course taking time to read and follow the installation instructions. You attempt to run your new program, and your system locks up, displays some error message that looks like it is in a foreign language, or shoots a bolt of lightning at you. Or maybe your new program works just dandy, but another (or all other) programs on your system stop functioning.

However, don't assume that the company producing the application is at fault, especially when experiencing installation problems, frequent crashes, or total non-functionality of a feature that would be commonly used by many of the product's other customers. Problems may also be caused by your system environment--bad drivers, conflicts with other programs, hardware problems, etc.

Any software that is commercially successful will not be of such poor quality that it will not run or run so poorly as to be unusable. If you are experiencing problems with one of our products, we will go the extra mile to help you resolve the problem. But please understand that problems you are experiencing are not necessarily the fault of our product. Keeping an open mind and conducting your conversations in a non-accusatory manner when dealing with tech support will go a long way towards getting the problem resolved. If you are experiencing crashes or lockups when using a program's basic features, the problem is likely to be outside the product itself. We will need your cooperation to solve the problem. In these cases we cannot solve the problem simply be having you install an update.

Today's personal computer is a conglomeration of hardware and software made by dozens of companies and thousands of individuals, who of course do not communicate until there are problems. The software in question in all likelihood runs perfectly on the developers and most other customers' machines. The trick is to find out why it isn't running on yours. With a little detective work, the problem will be isolated, and you will have computer system that not only runs the software in question, but is more stable overall.

While the vast majority of tech support calls we receive from customers who are unable to get PDA applications running are due to improper setup or compatibility problems, all software has bugs. If you are experiencing a consistent problem with a particular feature, particularly one that is not likely to be used by most customers, check the product's web site or call the product's tech support line. The problem may have been fixed already, and an update can be downloaded. The PDA web site is http://www.hosenose.com

Try these troubleshooting steps. Even if you feel that the error is a program bug, please do some preliminarty research before calling tech support. If the problem doesn't go away, you will be a step ahead of the game when you talk to the technician.

Copyright 1998 by Personal Database applications
1323 Center Drive
Auburn, GA 30011-3318

support@hosenose.com

770-307-1511
770-307-1496 tech support. Will be answered only when technicians are available. If no answer, please try later.


Don't overlook the obvious!

First of all, reboot your system. If everything has been working fine, then all of a suddenly starts malfunctioning, it is possible that a power surge or spurious memory failure has put your system in an unstable state. Shut down your computer, then turn it off for about 15 seconds.

All PDA database applications have a Clean function to repair bad indexes and other files that may be damaged when the system fails. This feature will not affect your data or setup options, so it is a good idea to run it whenever experiencing problems.

Check the latest documentation updates and support web sites for your software. It may list known problems and suggest solutions, or list programs that are known to be incompatible. Patches to Windows may be required. PDA's web site is http://www.hosenose.com

If some device stops working, test the device with another piece of software. For instance, if your application suddenly fails to print, test the printer with another program. Your printer, cable, or port may have failed.


Reinstallation

Reinstalling your application is probablty the most powerful troubleshooting technique. This is the best way to proceed if an application that was previously working develps problems. If you reinstall the program and the problem goes away, you have solved the problems and can attribute the problem to corrupt or missing files, or improper setup. If the problem persists, you have either found a bug or a system problem.

If the application does not install or has never worked properly, installing the software on another system can provide valuable installation.

Reinstallation can be very easy or very difficult depending on the application and how you go about the reinstallation, so please read on before proceeding.

Reinstall on top of the old installation

With PDA applications, doing a reinstallation without first uninstalling the program is permissible. Such a reinstall will not affect your data or setup. However, it is always important to have a backup of important data! Reinstall the original CD-ROM, then the latest update if any.

This type of reinstall replaces any program files that may have been corrupted, as well as any associated files that may be missing or corrupt. However, it does not replace data and setup files that were created after the program was installed. To do a complete reinstall, you cannot reinstall on top of an existing application.

Install a second copy on your computer

If an application that previously worked develops problems, one of the best troubleshooting techniques is to simply install a second copy of your application in a different folder, leaving the current copy intact. If the newly-installed version works, you know that the problem has something to do with the original application or one of its files. If the new installation does not work, you can be fairly certain that the problem is system-related.

Installing on a second computer

We often recommend installing the application on a second computer, if for no other reason than to satisfy the customer that the application is not at fault. If the application runs on another computer, you know that there is either a problem with your system or your particular installation, and that the problem is not a bug the application.

We have had a few cases where the application would not run on two computers, yet the application was not at fault. It is possible, though highly unlikely, that the two systems happen to have some problem. But more often, the computers have something in common, especially if owned by, purchased by, or set up by the same person. Usually there is some conflicting utility installed on both systems, or the systems are of the same brand or have similar components such as video cards. If possible, try the application on someone else's computer.

Be sure to remove the application after the test so as not to violate the license agreement.

Uninstall

If you want to completely remove an application, the Uninstall function is not sufficient. It cannot remove files created after the application was installed. (This is by design so that you cannot accidentally erase your data by uninstalling the wrong application.) To completely remove an application, you must drag the files it created into the recycle bin. For PDA applications, simply drag the folder containing the application into the recycle bin.


Application problems

As consumers are aware, all programs have some bugs. Bugs are deficiencies in the program caused by programmer error, a bug in Windows or the programming language used by the developer, or by some condition which the programmer should have anticipated but did not.

Problems can also arise that are caused by the application program and its associated data. Files can become corrupted due to hard disk errors or the system crashing while a file is open.


Bugs

If you find that your application produces an error or returns improper results, you may have found a bug. This is especailly true if the bug involves a feature that wouldn't be used by many of the product's customers.

Check the company's web site and see if bug fixes are available. PDA's web site is

http://www.hosenose.com

If the web site is no help, document how to reproduce the error before contacting tech support. The technicial will search his database for known problems, then try to reproduce the error on his computer. If you merely state that such-and-such a feature is not working, tech support probably cannot help you.


Application environment

It is possible for problems to occur that are not caused by a bug, but not caused by system configuration either. It is possible that data got damaged due to a system crash, that a file needed by the application was accidentally deleted or became corrupted due to an isolated disk error or due to human error, such as accdientally opening the wrong file with a word processor.


Clean

Database applications use indexes to allow rapid access to the data. These files are easily recreated if lost or damaged. Therefore, updates to index files are not written to disk as often as the actual data. It is normal for PDA's database applications and most other database applications to need maintenance after a system failure or crash.

All PDA database applications have a CLEAN function. This removes all index and temporary scratch files that may have been left by system crashes etc. The indexes will be recreated the next time you start the program. Doing a CLEAN does not affect the program's data or setup. Please perform a CLEAN whenever you experience a problem. If you experience a power failure or system crash wile running your program, it is a good idea to do a CLEAN just to avoid problems.

Applications by other companies may have maintenance functions that perform similar cleanup tasks.


Application setup and options

Problems may be caused by improper setup of the application or bugs that present themselves only when using certain features. For example, requesting interfaces to hardware or third-party products that are defective, non-existant or in use by other programs, or importing data that is corrupt in some way.

As a troubleshooting step, try turning off interfaces to third-party products, or reinstalling to see if the application works before data is entered or imported.

In PDA's applications, you may easily restore the configuration options to factory default by deleting .INI files from the application's home folder. Look for files with a .INI extension Be sure to exit the application before erasing these files. You might want to keep a copy so you can put your configuration back to its original state without manually setting up again.

New INI will be created when you start the program.

In PDA's applications, the file FORM.INI contains data form position and options such as font size and color. If you experience problems with font size, window placement, etc. it may be easier to delete FORM.INI and put everything back to default than to manually fix the display problems.


System problems

An application may fail to operate properly, even though there is no defect in the product or associated data or configuration. The cause of the problem is system related. Examples of system problems are conflicts with other software, bugs in software drivers or Windows itself, or hardware.


Clean-booting your system

When a particular program is not functioning properly, the problem is often caused by other programs or drivers. By booting your system in a clean state, you can determine if such a problem exists.

To clean-boot your system, you temporarily remove all other programs. Following are steps for clean-booting your system.


Safe Mode

Safe Mode is a built-in automatic clean-boot. It starts your system with the minimum set of drivers, bypasses the CONFIG.SYS and AUTOEXEC.BAT startup files, and loading of programs in the startup folder.

It also loads a very rudimentary video driver with 16 colors and 640 by 480 resolution. This is to lessen the possibility of problems being caused by your standard video driver.

Safe Mode is intended primarily to boot a system that will not boot normally, so that you may get into your system and fix the problem. However it is a useful troubleshooting aid. If your program works after clean-booting, you know the problem is most likely with your system configuration, and not a problem with the program itself. Other techniques discussed below will help isolate exactly what is causing the problem.

To clean-boot your system, shut it down, then press the reset button or {Ctrl+Alt+Del}. When the message "Starting Windows 98" appears, pres {F8}. Most people find it easiest to press {F8} every couple seconds while the system is booting.

If your program uses com ports, it may not be able to access them while in Safe Mode.


Problems caused by CONFIG.SYS and AUTOEXEC.BAT files

CONFIG.SYS and AUTOEXEC.BAT are special files that contain commands which are executed automatically when you start your computer. Those who used computers in the DOS days are familiar with these files. They loaded memory managers, device drivers, TSRs (Terminate and Stay Resident) programs, and set the DOS PATH and other parameters. Before Windows 95 arrived, most programs would not run without these files being set up properly. Improper settings in CONFIG.SYS and AUTOEXEC.BAT were frequent causes of problems.

Windows 95 and later do not require CONFIG.SYS and AUTOEXEC.BAT files. However, they are still supported for compatibility with older programs and hardware. One of the most effective and easy troubleshooting procedure is to temporarily remove your CONFIG.SYS and AUTOEXEC.BAT files, then reboot your computer. If the problem goes away, you have isolated the source of the problem.

The easiest way to temporarily disable the CONFIG.SYS and AUTOEXEC.BAT files is to drag them from C:\ to your desktop. You may later return them to service by dragging them back into the C: drive.

You may have Windows set up to not display the extensions of some files. You may see only CONFIG and AUTOEXEC. You may simply drag all files named CONFIG and AUTOEXEC to the desktop, or better yet, configure Windows to show the true file name. To do this, click on View in the explorer window's menu bar. Click Options. Click the View tab. Uncheck the box labeled Hide MS-DOS extensions for file types that are registered. We recommend Checking the box labeled Display the full MS-DOS path in the title bar.

After dragging your CONFIG.SYS and AUTOEXEC.BAT files onto the desktop, please remember to reboot your computer. If the problem persists, the problem is probably not with your CONFIG.SYS or AUTOEXEC.BAT file. However, it is a good idea to leave them on the desktop as you perform other troubleshooting procedures. It is possible that the problem is caused by a combination of factors. If CONFIG.SYS and AUTOEXEC.BAT are disabled, you can be certain that they are not a factor.

After determining that a problem lies with your CONFIG.SYS and AUTOEXEC.BAT, you may easily determine which of the two files are causing the problem by putting only one or the onter into service. For example, drag CONFIG.SYS from the desktop to C:\. Reboot. If the problem does not occur, you know that the CONFIG.SYS file is OK, and the problem lies in AUTOEXEC.BAT. Remember, it is possible for both files to be the culprit.

You can view and edit CONFIG.SYS and AUTOEXEC.BAT with any text file editor such as Notepad. However, Windows includes a special editor just for configuration files. This program is called SYSEDIT.


Resident programs

Resident programs and program conflicts

DOS users are familiar with TSR, or Terminate and Stay Resident programs. These programs are always resident in memory and run in background or are called by pressing a particular set of keys. TSRs are still supported by Win 98.

Windows, with its ability to multitask, not only makes it easy for you to run several programs at once, but makes it easy for programmers to write TSR-type utilities that are loaded and running all the time. Some of these have an icon in the system tray which you can click to activate them or set options. Others offer no visible clue that they are running.

Running programs are not supposed to interfere with each other, but they sometimes do. First try quitting all applications except for the one you are troubleshooting. If the program works, you have nearly isolated the problem.

You also need to test your program with all resident programs removed. DOS TSRs are removed when you reboot without the CONFIG.SYS and AUTOEXEC.BAT files. Windows resident programs may be terminated by pressing {Ctrl+Alt+Del}, selecting them from the dialog, and selecting End Task. End all programs except Explorer. If you end Explorer, Windows will reboot! Press {Ctrl+Alt+Del} one last time to make sure that all programs except explorer have actually terminated.

Now, try your application. If it runs, you have isolated the problem to one of your resident programs.

Some resident programs are started from the Windows Startup Folder facility. If you look in the WIndows directory, you will see a folder named Start Menu. Inside that is a folder named Programs. Inside that is a folder named Startup. The Startup folder contains shortcuts to programs that you want started automatically when you boot Windows. You may place your own shortcuts here, and there are probably some that were installed automatically when you installed various applications.

You may temporarily drag the Startup Folder onto the desktop to disable it. It is a good idea to do this, then reboot. It is possible that a program that is causing the problem will terminate when you End Task on it, but still leave the system in a corrupted state.


Video driver problems

Windows video display cards are complicated devices that, in our experience, cause more problems than anything else. Symptoms include general protection faults, system lockups, and display problems such as slow performance. You may also see erroneous screen displays--obvious garbage on your screen, or simply a picture that is not representative of the state of the program. PDA's database applications make liberal use of grid displays. We have had reports of grid displays displaying duplicate records.

Fortunately, a simple driver update almost always solves the problem.

You may easily obtain information on the names and version of your video driver files. Run the Device Manager. Click on View Devices by Type, then click the + next to Display Adapters. The + will change to -. Click on the display adapter entry under the "-". Click Properties, then Driver, then Driver File Details.

If you get a general protection fault, note the module in which the error occurs. For example, the message may say "General Protection Fault in module DDOM95.VXD." If the file where the fault occured is listed in the device manager, you have probably found the culprit. The version number of each driver file is listed.

Before going through further troubleshooting procedures, you may want to go ahead and check with the manufacturer of your computer or video card to see if an updated driver is available. Even new computers and video cards may have updated drivers available. Several months usually elapse between packaging and reatil sale. Most manufacturers have World Wide Web sites with updated drivers for you to download.

While an updated driver usually solves the problem, there are cases where the latest video driver still needs work, or the application itself or some other factor besides the video driver is at fault. You can usually determine if the video driver is at fault by temporarily substituting the default Microsoft Super VGA driver. This is a no-frills driver that is used as a standard for testing software compatibility.

To change the video driver, Run the Display Properties dialog. The Settings tab allows you to change video drivers.

  • Click the Advanced Properties button. This button may be labeled differently on your system.

  • Click Change. Make a note of the current video driver so you can restore your original settings later.

  • Click Show All Devices. Under the Manufacturers column, scroll to the top and select (Standard Display Types).

  • Under the Models column, select Super VGA.

  • Click Close. The Advanced Properties window will close.

  • Click Close on the Settings page. Windows will ask if it is OK to restart your system. Select Yes.

If the problem is corrected when the Super VGA driver is installed, you can be almost certain that your video driver is at fault. You may continue to use the Super VGA driver. However, you will probably want to obtain a working driver that will take full advantage of the capabilities of your video card.

If the problem persists with the Super VGA driver installed, you must look elsewhere for the problem.


Disk drive maintenance

In order for your system to function reliably and with good performance, the hard disk must be maintained regularly. Whenever you experience problems, run ScanDisk. The disk drive can develop erros due to power failures or system crashes. Scandisk wil detect and attempt to repair these problems. If it finds a problem with a file that belongs to your application, you have probably located the problem.

It is also important to have plenty of free disk space on your hard drive. Windows needs this disk space for Virtual Memory to work properly. Additionally, many applications create large temporary files. When a program runs out of hard disk space, it should give you an error message to this effect. However, low disk space is a common cause of slow performance and seemingly unrelated errors.

The free disk space displayed by your system is an estimate only. It assumes 100% efficiency in useage. However, this is not possible, as each file wastes an average of half a cluster. A cluster is a block of disk space. All blocks on a hard disk are the same size. A block cannot be shared by different files, so any portion of a block that a file does not use is wasted. The size of these blocks will vary with the size of the disk and the version of Windows you are using. The original version of Windows 95 had a block size of 32K on large disks!

You should attempt to have at least 100mb free on each hard disk. But simply having a lot of free space isn't enough. As you use your computer, the disk's free space gets fragmented, or scattered into many small areas. This severly hampers system speed and virtual memory. Run the Defrag utility to optimize the hard disk and put all free space in one area.

Defrag may tell you that your hard disk is only fragmented by a small percentage, and does not need to be defragmented. Ignore this message and defrag the disk anyway. On a large disk, a lot of fragmentation will exist in the data that you access most frequently, yet be a small portion of the overall disk capacity, which contains a lot of read-only files such as programs and dynamic-link libraries.


IRQ conflicts and port drivers

If you are experiencing problems with an application that uses serial ports or your sound card, try disabling the serial port interface. If your application functions without problems, you probably have more than one device assigned to the same IRQ (Interrupt Request).

The Device Manager can help troubleshoot IRQ conflicts.

Note that USB (Uniform Serial Bus) serial ports do not use IRQs. Some serial cards have Windows drivers that do not require IRQs, or that permit several ports to operate simultaneously by sharing one IRQ.


Memory (RAM)

Defective RAM (Ramdom Access Memory) can cause lockups and crashes. We have had reports of our applications being unstable due to defective RAM, yet "everything else" seemed to run fine.

Unfortunately, there is no good way to test RAM other than substituting it wth RAM known to be good. A clue may be an occasional Power-On Self-Test (POST) RAM error. However, we have seen memory that is too bad to run Windows reliably yet had never failed the POST.

If your system has more than one RAM module, remove half of your RAM and see if the problem goes away. If problems persist, swap the installed and uninstalled modules. Using this technique, you can isolate the bad memory.

If problems start after adding RAM, try removing the new RAM. It is possible that the new RAM is bad. Failure is most common in electronic new components.

RAM problems are relatively rare. The problem is much more likely to be caused by video driver problems or software conflicts.